summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRonny Lorenz2015-09-18 00:17:35 +0200
committerRonny Lorenz2015-09-18 00:20:34 +0200
commit6aba361644141b547657ae0db3af6b226e8fe4bd (patch)
tree9fb6c1f56b8b35fabc54e80fb5b957ee2f8913b2
downloadaur-6aba361644141b547657ae0db3af6b226e8fe4bd.tar.gz
Moved on to bugfix version v2.1.9b
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD49
2 files changed, 71 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..95a418c045f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = viennarna
+ pkgdesc = RNA Secondary Structure Prediction and Comparison
+ pkgver = 2.1.9
+ pkgrel = 1
+ url = http://www.tbi.univie.ac.at/RNA
+ arch = x86_64
+ arch = i686
+ license = Custom
+ depends = perl
+ optdepends = python2: python2 interface to the RNAlib
+ optdepends = ruby: ruby interface to the RNAlib
+ optdepends = gri: create 2D plots of secondary structure landscape with RNA2Dfold
+ provides = Kinfold=1.3
+ provides = RNAforester=1.5
+ provides = viennarna2=2.1.9
+ conflicts = viennarna
+ options = staticlibs
+ source = http://www.tbi.univie.ac.at/RNA/packages/source/ViennaRNA-2.1.9b.tar.gz
+ md5sums = 24f3a56a4cea90672978c2e6580d5c71
+
+pkgname = viennarna
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..cdc726ded2e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Ronny Lorenz <ronny at tbi dot univie dot ac dot at>
+
+pkgname=viennarna
+pkgver=2.1.9
+pkgrel=1
+pkgdesc="RNA Secondary Structure Prediction and Comparison"
+arch=('x86_64' 'i686')
+license=('Custom')
+url="http://www.tbi.univie.ac.at/RNA"
+depends=('perl')
+optdepends=('python2: python2 interface to the RNAlib'
+ 'ruby: ruby interface to the RNAlib'
+ 'gri: create 2D plots of secondary structure landscape with RNA2Dfold')
+conflicts=('viennarna')
+makedepends=()
+provides=('Kinfold=1.3' 'RNAforester=1.5' "viennarna2=${pkgver}")
+source=(http://www.tbi.univie.ac.at/RNA/packages/source/ViennaRNA-${pkgver}b.tar.gz)
+
+options=('staticlibs')
+md5sums=('24f3a56a4cea90672978c2e6580d5c71')
+
+build() {
+ cd "${srcdir}/ViennaRNA-${pkgver}b"
+ ./configure --with-cluster --prefix=/usr || return 1
+ make || return 1
+}
+
+check() {
+ cd "$srcdir/ViennaRNA-${pkgver}b"
+ make check
+}
+
+package() {
+ cd "${srcdir}/ViennaRNA-${pkgver}b"
+ make DESTDIR="${pkgdir}" install || return 1
+
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+ # cleanup after dirty install ...
+ for perlscript in "$pkgdir"/usr/share/ViennaRNA/bin/*.pl ; do
+ mv "$perlscript" "$pkgdir/usr/bin/$(basename "$perlscript" .pl)"
+ done
+ mv "$pkgdir"/usr/share/ViennaRNA/bin/* "$pkgdir"/usr/bin
+ rmdir "$pkgdir/usr/share/ViennaRNA/bin"
+ rm -rf "$pkgdir/usr/lib/perl5/core_perl"
+
+ # no need for that file it is outdated anyway
+ rm $pkgdir/usr/share/info/dir
+}